// node native modules
import * as path from 'path';

export { path };

// @pushrocks scope
import * as consolecolor from '@push.rocks/consolecolor';
import * as levelcache from '@push.rocks/levelcache';
import * as smartarchive from '@push.rocks/smartarchive';
import * as smartfile from '@push.rocks/smartfile';
import * as smartpath from '@push.rocks/smartpath';
import * as smartpromise from '@push.rocks/smartpromise';
import * as smartrequest from '@push.rocks/smartrequest';
import * as smartversion from '@push.rocks/smartversion';
import * as smarttime from '@push.rocks/smarttime';

export {
  consolecolor,
  levelcache,
  smartarchive,
  smartfile,
  smartpath,
  smartpromise,
  smartrequest,
  smartversion,
  smarttime,
};

// third party scope
import * as packageJson from 'package-json';

export { packageJson };
